package com.tuoheng.admin.enums.code.inspection;

/**
 *  立即执行任务信息返回码
 *      模块代码：23（任务管理）
 *      接口代码：08 （立即执行）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-02
 */
public enum ExecuteInspectionCodeEnum {

    EXECUTE_IS_FAILED(1230800, "立即执行失败"),
    ID_IS_NULL(1230801, "任务ID为空"),
    INSPECTION_IS_NOT_EXIST(1230802, "任务不存在"),
    USER_ONLY_EXECUTE_DEPARTMENT_TASK(1230803, "用户只能执行本部门任务"),
    TENANT_IS_NOT_EXIST(1230804, "租户不存在"),
    AIRPORT_URL_IS_NULL(1230805, "机场平台URL为空"),
    AIRPORT_RETURN_DATA_IS_NULL(1230806, "机场接口返回数据为空"),
    INSPECTION_CANNOT_REPEATED_EXECUTE(1230807, "任务不能被重复执行"),;

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    ExecuteInspectionCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
